Subject: bug#41185: highlight-regexp not working properly for multiline-matching regexps

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 13 Jun 2021 19:11:31 +0200

Michael Heerdegen <[email-masked]> writes:

> I think you must read the original report further, where there is a text
> example with "endif" for that highlighting fails.  AFAICT the complaint
> is about multi-line matches not being highlighted.
>
> I think `highlight-regexp' is not able to highlight multiline
> stuff, but the docstring doesn't tell anything about this.

It is being highlit, but not reliably, I see.  If you paste the test
cases in, they are highlit, but not if you type them in (or paste them
in in steps)...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no